### Hierarchy

- Loading

## Index

### Inputs

- isActive
- overlay
- size
- title

### Constructors

- constructor

### Properties

- i18n
- isActive
- overlay
- size
- title

## Constructors

### constructor

- new Loading(i18n: I18n): Loading

- - Defined in src/loading/loading.component.ts:46

  #### Parameters

  - ##### i18n: I18n

  #### Returns Loading

## Properties

### Protected i18n

i18n: I18n

- Defined in src/loading/loading.component.ts:48

### isActive

@Input()
isActive: boolean = true

- Defined in src/loading/loading.component.ts:36

### overlay

@Input()
@HostBinding({"hostPropertyName":"class.bx--loading-overlay"})
overlay: boolean = false

- Defined in src/loading/loading.component.ts:46

### size

@Input()
size: "normal" | "sm" = "normal"

- Defined in src/loading/loading.component.ts:41

### title

@Input()
title: any = this.i18n.get().LOADING.TITLE

- Defined in src/loading/loading.component.ts:31

Generated using TypeDoc